Loading...
Searching...
No Matches
AbcWarmStartOrganizer Class Reference

`#include <AbcWarmStart.hpp>`

Collaboration diagram for AbcWarmStartOrganizer:
[legend]

## Public Member Functions

void | createBasis0 ()
| Create Basis type 0.
void | createBasis12 ()
| Create Basis type 1,2.
void | createBasis34 ()
| Create Basis type 3,4.
void | deleteBasis (AbcWarmStart *basis)
| delete basis
Constructors, destructors, and related functions
| AbcWarmStartOrganizer (AbcSimplex *model=NULL)
| Default constructor.
| AbcWarmStartOrganizer (const AbcWarmStartOrganizer &ws)
| Copy constructor.
virtual | ~AbcWarmStartOrganizer ()
| Destructor.
virtual AbcWarmStartOrganizer & | operator= (const AbcWarmStartOrganizer &rhs)
| Assignment.

## Protected Attributes

Protected data members
AbcSimplex * | model_
| Pointer to AbcSimplex (can only be applied to that).
AbcWarmStart * | firstBasis_
| Pointer to first basis.
AbcWarmStart * | lastBasis_
| Pointer to last basis.
int | numberBases_
| Number of bases.
int | sizeBases_
| Size of bases (extra).

## Detailed Description

Definition at line 22 of file AbcWarmStart.hpp.

## Constructor & Destructor Documentation

## AbcWarmStartOrganizer() [1/2]

AbcWarmStartOrganizer::AbcWarmStartOrganizer | ( | AbcSimplex * | model = NULL | ) |

Default constructor.

Creates a warm start object organizer

## AbcWarmStartOrganizer() [2/2]

AbcWarmStartOrganizer::AbcWarmStartOrganizer | ( | const AbcWarmStartOrganizer & | ws | ) |

Copy constructor.

## ~AbcWarmStartOrganizer()

virtual AbcWarmStartOrganizer::~AbcWarmStartOrganizer | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## createBasis0()

void AbcWarmStartOrganizer::createBasis0 | ( |  | ) |

Create Basis type 0.

## createBasis12()

void AbcWarmStartOrganizer::createBasis12 | ( |  | ) |

Create Basis type 1,2.

## createBasis34()

void AbcWarmStartOrganizer::createBasis34 | ( |  | ) |

Create Basis type 3,4.

## deleteBasis()

void AbcWarmStartOrganizer::deleteBasis | ( | AbcWarmStart * | basis | ) |

delete basis

## operator=()

virtual AbcWarmStartOrganizer & AbcWarmStartOrganizer::operator= | ( | const AbcWarmStartOrganizer & | rhs | ) |

virtual

Assignment.

## Member Data Documentation

## model_

AbcSimplex* AbcWarmStartOrganizer::model_

protected

Pointer to AbcSimplex (can only be applied to that).

Definition at line 57 of file AbcWarmStart.hpp.

## firstBasis_

AbcWarmStart* AbcWarmStartOrganizer::firstBasis_

protected

Pointer to first basis.

Definition at line 59 of file AbcWarmStart.hpp.

## lastBasis_

AbcWarmStart* AbcWarmStartOrganizer::lastBasis_

protected

Pointer to last basis.

Definition at line 61 of file AbcWarmStart.hpp.

## numberBases_

int AbcWarmStartOrganizer::numberBases_

protected

Number of bases.

Definition at line 63 of file AbcWarmStart.hpp.

## sizeBases_

int AbcWarmStartOrganizer::sizeBases_

protected

Size of bases (extra).

Definition at line 65 of file AbcWarmStart.hpp.

The documentation for this class was generated from the following file:

- Clp/src/AbcWarmStart.hpp